unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
From: David Bremner <david@tethera.net>
To: notmuch@notmuchmail.org
Subject: [Patch v2.5 4/4] test/insert: check that indexing errors are accepted with --keep
Date: Fri,  3 Oct 2014 23:19:00 +0200	[thread overview]
Message-ID: <1412371140-21051-5-git-send-email-david@tethera.net> (raw)
In-Reply-To: <1412371140-21051-1-git-send-email-david@tethera.net>

This is overkill for the current code path, but should provide some
robustness for future changes in error handling.
---
 test/T070-insert.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/test/T070-insert.sh b/test/T070-insert.sh
index be8060e..80a22c1 100755
--- a/test/T070-insert.sh
+++ b/test/T070-insert.sh
@@ -202,6 +202,11 @@ test_begin_subtest "error exit when add_message returns $code"
 gdb --batch-silent --return-child-result -x index-file-$code.gdb \
     --args notmuch insert  < $gen_msg_filename
 test_expect_equal $? 1
+
+test_begin_subtest "success exit with --keep when add_message returns $code"
+gdb --batch-silent --return-child-result -x index-file-$code.gdb \
+    --args notmuch insert --keep  < $gen_msg_filename
+test_expect_equal $? 0
 done
 
 test_done
-- 
2.1.0

  parent reply	other threads:[~2014-10-03 21:19 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-10-03 21:18 David Bremner
2014-10-03 21:18 ` [Patch v2.5 1/4] test/insert: add known broken tests for indexing failures David Bremner
2014-10-17  8:34   ` Jani Nikula
2014-10-18  6:02     ` David Bremner
2014-10-18  6:30       ` David Bremner
2014-10-03 21:18 ` [Patch v2.5 2/4] cli/insert: add fail path to add_file_to_database David Bremner
2014-10-03 21:18 ` [Patch v2.5 3/4] cli/insert: require succesful message indexing for success status David Bremner
2014-10-03 21:19 ` David Bremner [this message]
2014-10-03 21:22 ` David Bremner
2014-10-04  6:56 ` tests for notmuch-insert David Bremner
2014-10-16 21:14 ` Jani Nikula

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://notmuchmail.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1412371140-21051-5-git-send-email-david@tethera.net \
    --to=david@tethera.net \
    --cc=notmuch@notmuchmail.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).